%DEMO Demos graphiques des isomtries du plan
disp('Choisir une isomtrie du plan');
disp('0) Translation');
disp('1) Glissement');
disp('2) Rotation');
type = input('? ');

switch type
    
    case {0, 'trans', 'translation'}
        % La figure voulue
        disp('Entrez les points d''une figure  transformer.');
        disp('[Entre] pour terminer la saisie...');
        [X,Y] = ginput();
        line(X,Y,'Color',[1.0,0.0,0.0],'LineWidth',2);
        hold on;
        % Le vecteur
        disp('Entrez deux points, donnant le vecteur de translation...');
        [x,y] = ginput(2);
        line(x,y,'Color',[0.0,1.0,0.0],'LineWidth',2);
        hold on;
        u = [x(2)-x(1);y(2)-y(1)]; % sens
        [Xt,Yt] = translat({[u(1);u(2)]},[X,Y]);
        line(Xt,Yt,'Color',[0.0,0.0,1.0],'LineWidth',2);
        hold on;

    case {1, 'glis', 'glissement'}
        % La figure voulue
        disp('Entrez les points d''une figure  transformer.');
        disp('[Entre] pour terminer la saisie...');
        [X,Y] = ginput();
        line(X,Y,'Color',[1.0,0.0,0.0],'LineWidth',2);
        hold on;
        % Le vecteur / axe
        disp('Entrez deux points formant le vecteur de glissement...');
        [x,y] = ginput(2);
        line(x,y,'Color',[0.0,1.0,0.0],'LineWidth',2);
        hold on;
        u = [x(2)-x(1);y(2)-y(1)]; % sens
        [Xg,Yg] = glisse({[x(1),y(1)] [u(1);u(2)]},[X,Y]);
        line(Xg,Yg,'Color',[0.0,0.0,1.0],'LineWidth',2);
        hold on;

    case {2, 'rot', 'rotation'}
        % Donner l'angle (ventuellement plusieurs ?)
        M = input('Donnez un angle, voire une matrice ligne d''angles : ');
        % La figure voulue
        disp('Entrez les points d''une figure  transformer.');
        disp('[Entre] pour terminer la saisie...');
        [X,Y] = ginput();
        line(X,Y,'Color',[1.0,0.0,0.0],'LineWidth',2);
        hold on;
        % Le centre
        disp('Entrez le centre...');
        [x,y] = ginput(1);
        n = size(M,2);
        for i=1:n
            [Xr,Yr] = rote({[x,y] M(i)},[X,Y]);
            line(Xr,Yr,'Color',[1.0-1.0*i/n,0.0,1.0*i/n],'LineWidth',2);
            hold on;
        end
       
    otherwise
        error('Mauvaise rponse...')
        return
        
end

