function [tx,ty]=glisse(param,point)
%GLISSE fournit le gliss d'un point avec les paramtres donns
%   
%   [TX,TY] = GLISSE({POINT,VECTEUR},[X,Y]) donne les coordonnes du point
%   (X,Y) transform par le glissement d'axe dirig par VECTEUR et passant
%   par POINT.
%   
%   Example:
%   [tx,ty] = glisse({[1,2],[3;4]},[5,6])
%
%   See also MATPROJGLIS, TRANSFORME.

%   Copyright 2006 Laurent Couvidou

G = transforme('glis',param,point);
tx = G(:,1);
ty = G(:,2);

end
