function G=matprojglis(point,vecteur)
%MATPROJGLIS    Matrice projective d'un glissement
%   MATPROJGLIS(point, vecteur) un point du miroir, et le vecteur  la
%   fois directeur du miroir, et vecteur translation
%
%   See also MATPROJISOPLAN.

%   Copyright 2006 Laurent Couvidou

px = point(1,1);
py = point(1,2);

tx = vecteur(1);
ty = vecteur(2);

angle = atan2(ty,tx); % angle de la rotation pour changement de repre
cosangle = cos(angle);
sinangle = sin(angle);

G=[
cosangle^2-sinangle^2,    2*cosangle*sinangle,      (cosangle^2-sinangle^2)*tx+2*cosangle*sinangle*ty-(cosangle^2-sinangle^2)*px-2*cosangle*sinangle*py+px;
2*cosangle*sinangle,      sinangle^2-cosangle^2,    2*cosangle*sinangle*tx+(sinangle^2-cosangle^2)*ty-2*cosangle*sinangle*px-(sinangle^2-cosangle^2)*py+py;
0,                        0,                        1
];

end
