function R=matprojrot(centre, angle)
%MATPROJROT Matrice projective d'une rotation
%   centre : point centre de la rotation (vecteur ligne)
%   angle : en radians
%
%   See also MATPROJISOPLAN.

%   Copyright 2006 Laurent Couvidou

cx = centre(1,1);
cy = centre(1,2);

cosinus = cos(angle);
sinus = sin(angle);

R=[
cosinus, -sinus,  -cosinus*cx+sinus*cy+cx;
sinus,   cosinus, -sinus*cx-cosinus*cy+cy;
0,       0,       1
];
end
