function [tx,ty]=rote(param,point)
%ROTEPOINT  Fournit le rot d'une srie de points
%   [TX,TY] = ROTEPOINT({CENTRE,ANGLE},[X,Y]) donne les coordonnes du
%   point (X,Y) transform par la rotation de centre CENTRE et d'angle
%   ANGLE.
%   
%   Example:
%   [tx,ty] = rote({[1,2],pi/3},[4,5])
%
%   See also MATPROJROT, ROTE, TRANSFORMEPOINT.

%   Copyright 2006 Laurent Couvidou

R = transforme('rot',param,point);
tx = R(:,1);
ty = R(:,2);

end
