% Calcul symbolique de la matrice de glissement

% Copyright 2006 Laurent Couvidou

% Variables symboliques
syms px;
syms py;
syms tx;
syms ty;
syms cosangle;
syms sinangle;
% La translation du glissement
Ttrans = [1, 0, tx; 0, 1, ty; 0, 0, 1]
% Symtrie par rapport  0x
S = [ 1, 0, 0; 0, -1, 0; 0, 0, 1]
% Translations pour changement de repre (aller et retour)
Top = [1, 0, px; 0, 1, py; 0, 0, 1]
Tpo = [1, 0, -px; 0, 1, -py; 0, 0, 1]
% Rotations pour changement de repre (aller et retour)
Rpos = [ cosangle, -sinangle, 0; sinangle, cosangle, 0; 0, 0, 1]
Rneg = [ cosangle, sinangle, 0; -sinangle, cosangle, 0; 0, 0, 1]
% Glissement = translation -> changement de repre aller -> symtrie
% autour de Oy -> changement de repre retour
G = Top*Rpos*S*Rneg*Tpo*Ttrans
