function transform=transforme(type,param,point)
%TRANSFORME    Fournit le transform d'une srie de points
%   Type de la transformation :
%   0, 'trans' ou 'translation' : matrice de *translation*
%   1, 'glis' ou 'glissement' : matrice de *glissement*
%   2, 'rot' ou  'rotation' : matrice de *rotation*
%   
%   TRANSFORM = TRANSFORME(TYPE,PARAM,POINT) donne les coordonnes du
%   (des) point(s) P transform(s). Les points (vecteurs lignes) sont 
%   "entasser" en hauteur dans une matrice. Le rsultat est fourni sous
%   la mme forme.
%   
%   Example:
%   transform = transforme('rot',{[0,0],pi/2},[1,0;0,1])
%
%   See also MATPROJISOPLAN, TRANSLAT, ROTE, GLISSE.
%
%   Copyright 2006 Laurent Couvidou

% On rcupre la matrice du type demand
M = matprojisoplan(type,param);

%taille = size(X,2);
%if taille ~= size(Y,2)
%    error('Veuillez fournir X et Y de taille identique');
%end

% Coordonnes homognes
taille = size(point,1);
P = [point,ones(taille,1)];

for i=1:taille
    TP(i,:) = (M*P(i,:)')'; % Calcul des transforms des points
end

if TP(:,3) ~= ones(taille,1) % il y a un problme
    error (['Calcul mauvais : un des rsultats n est pas en ' ...
    'coordonnees homognes.']);
end

% Retour en coordonnes "normales"
transform = TP(:,1:2);

end
