function transform=transformepoint(type,param,point)
%TRANSFORMEPOINT    Fournit le transform d'un point
%   Type de la transformation :
%   0, 'trans' ou 'translation' : matrice de *translation*
%   1, 'glis' ou 'glissement' : matrice de *glissement*
%   2, 'rot' ou  'rotation' : matrice de *rotation*
%   
%   TRANS = TRANSFORMEPOINT(TYPE,PARAM,[X,Y]) donne les coordonnes du
%   point (X,Y) transform.
%   
%   Example:
%   transform = transformepoint('rot',{[1,2],pi/3},[4,5])
%
%   See also MATPROJISOPLAN, TRANSFORM.
%
%   Copyright 2006 Laurent Couvidou

% On rcupre la matrice du type demand
M = matprojisoplan(type,param);

point = [point';1]; % Transpose + coordonnes homognes
transform = M*point; % Calcul
transform = transform'; % Re transpose

if transform(3) ~= 1 % il y a un problme
    error ('Calcul mauvais : le rsultat n est pas en coordonnes homognes.')
end

transform = transform(1:2);

end
