function [tx,ty]=translat(param,point)
%TRANSLAT fournit le translat d'un point ou d'une srie de points
%   [TX,TY] = TRANSLAT({VECTEUR},[X,Y]) donne les coordonnes du point
%   (X,Y) transform par la translation de vecteur VECTEUR.
%   
%   Example:
%   [tx,ty] = translate({[1,2]},[3,4])
%
%   See also MATPROJTRANS, TRANSFORME.

%   Copyright 2006 Laurent Couvidou

T = transforme('trans',param,point);
tx = T(:,1);
ty = T(:,2);

end
